### Hierarchy

- BaseOptions
  - CompileFunctionOptions

## Index

### Properties

- cachedData
- columnOffset
- contextExtensions
- filename
- lineOffset
- parsingContext
- produceCachedData

## Properties

### Optional cachedData

cachedData: Buffer

- Defined in node_modules/@types/node/vm.d.ts:36

Provides an optional data with V8's code cache data for the supplied source.

### Optional columnOffset

columnOffset: undefined | number

Inherited from BaseOptions.columnOffset

- Defined in node_modules/@types/node/vm.d.ts:20

Specifies the column number offset that is displayed in stack traces produced by this script. Default: `0`

### Optional contextExtensions

contextExtensions: Object[]

- Defined in node_modules/@types/node/vm.d.ts:50

An array containing a collection of context extensions (objects wrapping the current scope) to be applied while compiling

### Optional filename

filename: undefined | string

Inherited from BaseOptions.filename

- Defined in node_modules/@types/node/vm.d.ts:10

Specifies the filename used in stack traces produced by this script. Default: `''`.

### Optional lineOffset

lineOffset: undefined | number

Inherited from BaseOptions.lineOffset

- Defined in node_modules/@types/node/vm.d.ts:15

Specifies the line number offset that is displayed in stack traces produced by this script. Default: `0`.

### Optional parsingContext

parsingContext: Context

- Defined in node_modules/@types/node/vm.d.ts:45

The sandbox/context in which the said function should be compiled in.

### Optional produceCachedData

produceCachedData: undefined | false | true

- Defined in node_modules/@types/node/vm.d.ts:41

Specifies whether to produce new cache data. Default: `false`,

Generated using TypeDoc